Get Quote Price Information¶
Endpoint¶
Parameters¶
Path Parameters¶
| Field | Type | Description |
|---|---|---|
| b_id Required | String | Business line ID |
Query Parameters¶
| Field | Type | Description |
|---|---|---|
| trading_pair Required | String | Trading pairs, for example, the quote currency in the BTCUSDT trading pair is USDT, and the base currency is BTC |
| quote_amount Required | String | Quote currency amount |
| side Required | String | Trade directions Allowed values: BUY, SELL |
| base_amount Optional | String | Base currency amount, if the quote currency amount is provided, this parameter can be ignored |
Response¶
Response Body¶
| Field | Type | Description |
|---|---|---|
| code | Integer | Response code (0 = success) |
| message | String | Response message |
| successful | Boolean | Whether the request was successful |
| data | Object | Quote price data (see data object details below). |
data (object)
| Field | Type | Description |
|---|---|---|
| pair | String | Trading pairs |
| price_id | String | Price ID (Parameters required to create market order) |
| qty_base | Integer | Base amount |
| qty_quote | Integer | Quote amount |
| price | Integer | Price |
| expire_time | Long | Quote price expired time (in milliseconds) |
| count_down | Integer | Quote price validity time (in milliseconds) |